Subject: Re: bug#63750: 30.0.50; tree-sitter: `treesit-language-source-alist' is not customisable

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 May 2023 08:32:59 +0300

> From: Yuan Fu <[email-masked]>
> Date: Sat, 27 May 2023 16:12:18 -0700
> Cc: Mickey Petersen <[email-masked]>,
>  [email-masked]
> 
> > However, I think we decided to make it so that each installation
> > should update the value of the variable with the data of the grammar
> > just installed.  I see that we don't actually do that -- Yuan, am I
> > misremembering this?  If not, would you please add code to add to the
> > variable's value the data of every grammar that is installed?
> 
> Sure. Does it need to be preserved across sessions (ie, use custom)? Or just add for the current session?

Only for the current session.  Users who want it preserved should do
it themselves (I will add that to the doc string when the code which
updates the variable is installed).

Thanks.